Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18510
Description

It would be nice if one can Drag and Drop CSV files either directly from system or from Browser and QGIS would try to detect all the
required fields in the Create a Layer from Delimited text File, that way one would only need to review things before pressing OK

History

#1 - 2014-04-09 12:06 AM - Regis Haubourg

1 for the feature request.

that means dropping ogr csv support and use only csv delimiter c+ provider.. and that would remove a bad redondancy in QGIS providers.

ogr csv support is too limited compared to plugin's one.

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown

#4 - 2018-03-19 05:37 PM - Antonio Locandro

Checked and although | can drag and drop it, | was expecting the behaviour to be similar to when you add the csv through the dedicated tool and open the

parameters to have a spatial layer from CSV

#5 - 2018-03-19 05:40 PM - Giovanni Manghi
- Status changed from Open to Feedback

Antonio Locandro wrote:

Checked and although | can drag and drop it, | was expecting the behaviour to be similar to when you add the csv through the dedicated tool and

open the parameters to have a spatial layer from CSV

| really think that the correct behavior is the actual one: d&d you gets a geometryless table, using the delimited text provider button you get a spatial table.

#6 - 2018-03-19 06:09 PM - Antonio Locandro

| see why this would be good, | think we can close then this
#7 - 2018-04-17 05:51 PM - Andy Harfoot

From http://www.gdal.org/drv_csv.html

"Starting with GDAL 2.1, it is possible to directly specify the potential names of the columns that can contain X/longitude and Y/latitude with the
X_POSSIBLE _NAMES and Y_POSSIBLE_NAMES open option."

These could be hard coded into the QGIS OGR CSV load function, or set via a preference, meaning that for CSVs containing appropriately named spatial
columns, the geometry would be read automatically on drag and drop.

Alternatively, a context menu command could be added for text files 'Open as spatial delimited text', routing the load via the dialog.

| would like to keep this request open - the current behaviour of CSV drag and drop lags behind that of other formats
